Package picard.arrays.illumina

## Enum InfiniumVcfFields.GENOTYPE_VALUES

- java.lang.Object
- - java.lang.Enum<InfiniumVcfFields.GENOTYPE_VALUES>
  - - picard.arrays.illumina.InfiniumVcfFields.GENOTYPE_VALUES

- All Implemented Interfaces:
    `Serializable`, `Comparable<InfiniumVcfFields.GENOTYPE_VALUES>`
  Enclosing class:
    InfiniumVcfFields

      public static enum InfiniumVcfFields.GENOTYPE_VALUES
      extends Enum<InfiniumVcfFields.GENOTYPE_VALUES>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AA` |
    `AB` |
    `BB` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InfiniumVcfFields.GENOTYPE_VALUES` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static InfiniumVcfFields.GENOTYPE_VALUES[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AA

          public static final InfiniumVcfFields.GENOTYPE_VALUES AA

    - #### AB

          public static final InfiniumVcfFields.GENOTYPE_VALUES AB

    - #### BB

          public static final InfiniumVcfFields.GENOTYPE_VALUES BB

  - ### Method Detail

    - #### values

          public static InfiniumVcfFields.GENOTYPE_VALUES[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InfiniumVcfFields.GENOTYPE_VALUES c : InfiniumVcfFields.GENOTYPE_VALUES.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InfiniumVcfFields.GENOTYPE_VALUES valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null